Bug 164134 - mysqlhotcopy fails with cryptic error message
mysqlhotcopy fails with cryptic error message
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 05:05 EDT by Nigel Horne
Modified: 2013-07-02 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 15:15:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2005-07-25 05:05:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
mysqlhotcopy has started failing for me. I must have something wrong, but I can't work out why because the failure message is cryptic and doesn't tell me what's wrong.

Version-Release number of selected component (if applicable):
mysql-4.1.12-2.FC4.1

How reproducible:
Always

Steps to Reproduce:
1. cd /
2. mysqlhotcopy --allowold -u njh -p xxxxx mysql mnt/backup
2.
  

Actual Results:  Copying indices for 0 files...
Unlocked tables.
mysql -> mnt/backup/mysql failed: Error: cp -p '/var/lib/mysql/mysql/HKCLASSES.MYD' '/var/lib/mysql/mysql/HKCLASSES.MYI' '/var/lib/mysql/mysql/HKCLASSES.frm' '/var/lib/mysql/mysql/NABBC.MYD' '/var/lib/mysql/mysql/NABBC.MYI' '/var/lib/mysql/mysql/NABBC.frm' '/var/lib/mysql/mysql/columns_priv.MYD' '/var/lib/mysql/mysql/columns_priv.MYI' '/var/lib/mysql/mysql/columns_priv.frm' '/var/lib/mysql/mysql/db.MYD' '/var/lib/mysql/mysql/db.MYI' '/var/lib/mysql/mysql/db.frm' '/var/lib/mysql/mysql/func.MYD' '/var/lib/mysql/mysql/func.MYI' '/var/lib/mysql/mysql/func.frm' '/var/lib/mysql/mysql/host.MYD' '/var/lib/mysql/mysql/host.MYI' '/var/lib/mysql/mysql/host.frm' '/var/lib/mysql/mysql/tables_priv.MYD' '/var/lib/mysql/mysql/tables_priv.MYI' '/var/lib/mysql/mysql/tables_priv.frm' '/var/lib/mysql/mysql/user.MYD' '/var/lib/mysql/mysql/user.MYI' '/var/lib/mysql/mysql/user.frm' 'mnt/backup/mysql' failed (256) while copying files.

Expected Results:  Should back up the database to /mnt/backup

Additional info:

Yes, the directory "/mnt/backup/mysql" does exist, and is writeable. Anyway running as root doesn't help.
Comment 1 Tom Lane 2005-07-28 11:29:08 EDT
Hmm, could it be a SELinux issue?  Try "/usr/sbin/setenforce 0" and see if the behavior changes.

If so, update to the latest selinux-policy-targeted package and do /sbin/restorecon -R /usr/bin
to make sure the mysql programs are all properly security-labeled.
Comment 2 John Thacker 2007-01-13 15:15:16 EST
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.